Instalando Ruby on Rails

El sistema de paquetes de Debian/ Ubuntu es muy bueno y útil en la mayoría de los casos. En otros, en cambio, es mejor tener un poco de control sobre cómo se instalan los paquetes.

La mejor opción para instalar Ruby on Rails en Ubuntu 6.06 es combinar paquetes con descargas directas.

1. Instalación de Ruby (es necesario tener activado el repositorio ‘Universe’) sudo aptitude install ruby rdoc irb libyaml-ruby libzlib-ruby
2. Instalación de RubyGems wget http://rubyforge.org/frs/download.php/5207/rubygems-0.8.11.tgz
tar xzvf rubygems-0.8.11.tgz
cd rubygems-0.8.11
sudo ruby setup.rb
sudo gem update --system

3. Instalación de Rails (con RubyGems) sudo gem install rails -y
4. Creación de una aplicación Rails rails /complete/path/to/new/railsapp

(Visto en ubuntu.com)

The Edgy Eft

"The Edgy Eft" es el nombre elegido para la siguiente versión de Ubuntu. El nombre fue hecho público por Mark Shuttleworth en la lista de correo de Ubuntu.

Un "Eft" es un animal joven de la especie de los lagartos, y "Edgy" viene de "borde", queriendo transmitir que esta versión será de última generación.

Los ejes centrales serán incorporar XGL/AIGLX como parte de la distribución, integrar el network-manager, terminar de pulir el sistema para múltiples arquitecturas (32bit/64bit) y trabajar en un sistema un poco más inteligente de paquetes de instalación.

Las especificaciones del proyecto están disponibles en el launchpad.

Oracle SQL Developer

SQL DeveloperSQL Developer es el nombre de la nueva herramienta de Oracle destinada al desarrollo de código PL/SQL. Es posible recorrer los objetos de una base de datos (Oracle, por supuesto); editar, depurar y ejecutar scripts, e incluso crear y organizar informes.

La herramienta es gratis (free) y está disponible para Microsoft Windows, GNU/Linux y Mac OS X.

Aunque no llega al nivel de otros productos comerciales como TOAD, es una herramienta muy útil para el desarrollo sobre GNU/Linux. En mi caso, estoy a punto de jubilar el TORA, ¡con lo que me costó compilarlo!

No es necesario instalar la aplicación, basta con descompactar y ejecutar. El único requisito es disponer de la versión 1.5 del runtime de java. La instalación de esta versión de runtime en Ubuntu Breezy es tan sencilla como seguir estos pasos:

  1. Añadir el repositorio de freecontrib.org: echo "deb http://antesis.freecontrib.org/mirrors/ubuntu/plf/ breezy free non-free" >> /etc/apt/sources.list
  2. Actualizar la lista de paquetes sudo aptitude update
  3. Instalar el paquete que contiene el runtime sudo aptitude install sun-j2sdk1.5
  4. Seleccionar la versión 1.5 sudo update-alternatives --config java
  5. Verificar la versión instalada javac -version